Subject: Re: GSOC Proposal draft: git-remote-svn

From: Jonathan Nieder <[email-masked]>
Date: Mon, 2 Apr 2012 17:29:59 -0500

Hi Andrew,

Andrew Sayers wrote:
> On 02/04/12 09:30, Florian Achleitner wrote:

>> The remote helper has to convert the foreign protocol and data (svn) to the 
>> git-fast-import format.
>
> As discussed on IRC, I'd like to see some discussion of solutions that
> use plumbing directly (e.g. git-commit-tree) if you choose to focus on
> branch import.

Do you mean that fast-import is not a plumbing command?

>>From the IRC log[1]:

> andrew_sayers	From my reading of the protocol, you'd have to pass
>              	all the files in for each branch.
> andrew_sayers	For each commit.

I'm a little confused by this.  Do you mean that a fast-import stream
is not allowed to use multiple branches, or that when a fast-import
stream represents a commit that changes one file, it needs to list
all files rather than the one that changed?  Neither is true.

The fast-import tool started as a tool to write objects to pack
directly, or in other words to save time by avoiding the step of
writing loose objects.  That is still one of its main benefits.

[...]
>> 3. Add output capabilities to vcs-svn. Currently the code in vcs-svn can only 
>> convert svn to git. To push to svn we also need conversion and mapping from 
>> git to svn. The actual mapping code for branches should also be placed here 
>> {??} and called by the remote helper.
>
> I agree with Jonathan and Ram that we're not ready for this yet.

Just to be clear, I never said such a thing. :)

Thanks for some useful clarifications.
Jonathan

[1] http://colabti.org/irclogger/irclogger_log/git-devel?date=2012-04-02#l153